org.eclnt.workplace

## Class WorkplaceTileManager.WorkplaceTileWorkpageContainer

- java.lang.Object
- - org.eclnt.workplace.WorkplaceTileManager.WorkplaceTile
  - - org.eclnt.workplace.WorkplaceTileManager.WorkplaceTileWorkpageContainer

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    WorkplaceTileManager

      public class WorkplaceTileManager.WorkplaceTileWorkpageContainer
      extends WorkplaceTileManager.WorkplaceTile
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `containsNullTile()`
    `void` | `export(WorkplaceTileInfoPageContainer pageContainer)`
    `WorkplaceTileManager.WorkplaceTileWorkpageContainer` | `findTile(java.lang.String id)`
    `java.lang.String` | `getContainerId()`
    `ROWDYNAMICCONTENTBinding.ComponentNode` | `renderTile()`
    `void` | `setContainerId(java.lang.String containerId)`

    - ### Methods inherited from class org.eclnt.workplace.WorkplaceTileManager.WorkplaceTile

      `getOwner, setOwner`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getContainerId

          public java.lang.String getContainerId()

    - #### setContainerId

          public void setContainerId(java.lang.String containerId)

    - #### renderTile

          public ROWDYNAMICCONTENTBinding.ComponentNode renderTile()

      Specified by:
        `renderTile` in class `WorkplaceTileManager.WorkplaceTile`

    - #### findTile

          public WorkplaceTileManager.WorkplaceTileWorkpageContainer findTile(java.lang.String id)

      Specified by:
        `findTile` in class `WorkplaceTileManager.WorkplaceTile`

    - #### containsNullTile

          public boolean containsNullTile()

      Specified by:
        `containsNullTile` in class `WorkplaceTileManager.WorkplaceTile`

    - #### export

          public void export(WorkplaceTileInfoPageContainer pageContainer)

Copyright © CaptainCasa Gmbh. All Rights Reserved.